Bug 448135 - gnome-session hangs during startup
gnome-session hangs during startup
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 13:43 EDT by Pierre Ossman
Modified: 2008-08-07 13:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 13:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2008-05-23 13:43:02 EDT
The current (and previous few) version of gnome-session stop somewhere during
startup. Running gnome applications gives this:

(nautilus:12659): GnomeUI-WARNING **: While connecting to session manager:
Could not open network socket.

Doing a ps also shows that it isn't taking care of dead children either:

 2644 ?        S      0:00  \_ /usr/libexec/gdm-simple-slave --display-id
/org/gnome/DisplayManager/Display1
 2645 tty7     Ss+    5:00      \_ /usr/bin/Xorg :0 -br -verbose -auth
/var/run/gdm/auth-cookie-XX4BGDBU-for-gdm -nolisten tcp
 2726 ?        S      0:00      \_ /usr/libexec/gdm-session-worker
 2853 ?        Ssl    0:00          \_ gnome-session
 2868 ?        Ss     0:00              \_ /usr/bin/ssh-agent /bin/sh -c exec -l
/bin/bash -c "gnome-session"
 2906 ?        S      0:00              \_
/usr/lib/gnome-session/helpers/gnome-keyring-daemon-wrapper
 2953 ?        S      0:17              \_ metacity
 2958 ?        S      0:04              \_ gnome-panel
 3022 ?        Sl     0:02              \_ nautilus --no-desktop --browser
 3023 ?        Z      0:00              \_ [gnome-session-s] <defunct>
 3024 ?        Z      0:00              \_ [gnome-login-sou] <defunct>
 3069 ?        S      0:00              \_ bluetooth-applet --singleton
 3070 ?        Z      0:00              \_ [gnome-power-man] <defunct>
 3071 ?        S      0:00              \_ python
/usr/share/system-config-printer/applet.py
 3072 ?        Z      0:00              \_ [gnome-at-visual] <defunct>
 3074 ?        Z      0:00              \_ [sealert] <defunct>
 3076 ?        S      0:02              \_ nm-applet --sm-disable
 3079 ?        Z      0:00              \_ [pactl] <defunct>
 3085 ?        Z      0:00              \_ [gnome-user-shar] <defunct>
 3086 ?        S      0:00              \_ kerneloops-applet
 3091 ?        Z      0:00              \_ [krb5-auth-dialo] <defunct>
 3092 ?        Z      0:00              \_ [gnome-volume-ma] <defunct>
 3093 ?        S      0:00              \_ gpk-update-icon
 3094 ?        Z      0:00              \_ [xdg-user-dirs-g] <defunct>
Comment 1 Matthias Clasen 2008-07-10 14:26:03 EDT
I think this is fixed in current rawhide. At least it doesn't happen for me.

Please reopen if you still see it.
Comment 2 Pierre Ossman 2008-07-10 15:41:09 EDT
Which version? I have gnome-session-2.23.4.1-2.fc10.i386, which doesn't hang but
still leaves zombies:

 2858 ?        Ssl    0:00          \_ gnome-session
 2873 ?        Ss     0:00              \_ /usr/bin/ssh-agent /bin/sh -c exec -l
/bin/bash -c "gnome-session"
 2912 ?        S      0:00              \_
/usr/lib/gnome-session/helpers/gnome-keyring-daemon-wrapper
 2914 ?        S      0:01              \_ metacity
 2917 ?        S      0:00              \_ gnome-panel
 2922 ?        Z      0:00              \_ [gnome-session-s] <defunct>
 2936 ?        Sl     0:01              \_ nautilus --no-desktop --browser
 2937 ?        Z      0:00              \_ [gnome-login-sou] <defunct>
 2943 ?        S      0:00              \_ bluetooth-applet --singleton
 2944 ?        Z      0:00              \_ [gnome-power-man] <defunct>
 2945 ?        S      0:00              \_ python
/usr/share/system-config-printer/applet.py
 2946 ?        Z      0:00              \_ [gnome-at-visual] <defunct>
 2947 ?        Z      0:00              \_ [sealert] <defunct>
 2950 ?        S      0:00              \_ nm-applet --sm-disable
 2951 ?        Z      0:00              \_ [pactl] <defunct>
 2952 ?        Z      0:00              \_ [gnome-user-shar] <defunct>
 2953 ?        S      0:00              \_ kerneloops-applet
 2954 ?        Z      0:00              \_ [krb5-auth-dialo] <defunct>
 2955 ?        Z      0:00              \_ [gnome-volume-ma] <defunct>
 2956 ?        S      0:00              \_ gpk-update-icon
 2957 ?        Z      0:00              \_ [xdg-user-dirs-g] <defunct>
Comment 3 Pierre Ossman 2008-07-24 06:57:49 EDT
The zombies are gone, but now it hangs again. :)

The only icon shown is for nautilus.
Comment 4 Matthias Clasen 2008-07-25 19:30:40 EDT
Are you talking about the splash screen ? 
Thats known broken. 
To be honest we are more interested in speeding up the login to make the splash
pointless than fixing the splash screen ...
Comment 5 Pierre Ossman 2008-07-26 05:57:18 EDT
Yes, I took the splash screen as a reasonable indication of gnome-session's
progress. I take it that isn't entirely reliable. :)
Comment 6 Matthias Clasen 2008-08-07 00:23:53 EDT
Upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=546410
Comment 7 jmccann 2008-08-07 13:29:43 EDT
Yeah, the splash screen is a bit broken.  It is turned off by default now.  Closing this as upstream.

Note You need to log in before you can comment on or make changes to this bug.